LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 11-06-2010, 12:42 PM   #1
TSquaredF
Member
 
Registered: Dec 2005
Location: "The South Coast of Texas"
Distribution: Slackware64-current
Posts: 532

Rep: Reputation: Disabled
fontconfig make errors in -current


I have just installed current into a new partition. I usually upgrade the font system as per Dugan Chen's page. I have modified the SlackBuilds somewhat, but as noted below, it should work. When I rebuilt fontconfig, I got the following:
Code:
...snipped
docbook2man -o devel-man local-fontconfig-devel.sgml && \
mv devel-man/manpage.refs func.refs && \
mv devel-man/*.3 . && \
rm -f devel-man/manpage.* && \
rmdir devel-man
grep: character class syntax is [[:space:]], not [:space:]
grep: character class syntax is [[:space:]], not [:space:]
jw: There is no frontend called "/docbook/utils-0.6.14/frontends/docbook".
make[2]: *** [func.refs] Error 2
make[2]: Leaving directory `/tmp/SBo/fontconfig-2.8.0/doc'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/SBo/fontconfig-2.8.0'
make: *** [all] Error 2
There is a file
"/usr/share/sgml/docbook/utils-0.6.14/frontends/docbook"
The same SlackBuild works perfectly in a clean -13.1 install. I'm thinking of installing the package made in -13.1 into -current, but am not sure that is a good idea. Can anyone cast a little light into this darkness?
Regards,
Bill
 
Old 11-06-2010, 02:24 PM   #2
gnashley
Amigo developer
 
Registered: Dec 2003
Location: Germany
Distribution: Slackware
Posts: 4,897

Rep: Reputation: 578Reputation: 578Reputation: 578Reputation: 578Reputation: 578Reputation: 578
Start by tracing the grep error -I'm guessing it to be within the SlackBuild itself. If so, then change the syntax to what the error recommends.
 
Old 11-06-2010, 03:18 PM   #3
BrZ
Member
 
Registered: Apr 2009
Distribution: Slackware
Posts: 542

Rep: Reputation: 120Reputation: 120
Same error here just typing 'jw'. What package provides this Jade Wrapper?

edit: It seems to be grep. Tried using "POSIXLY_CORRECT=true export POSIXLY_CORRECT" and it fails with:
Quote:
Can't locate SGMLS/Output.pm in @INC (@INC contains: /usr/lib64/perl5/site_perl/5.12.2/x86_64-linux-thread-multi /usr/lib64/perl5/site_perl/5.12.2 /usr/lib64/perl5/vendor_perl/5.12.2/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.12.2 /usr/lib64/perl5/5.12.2/x86_64-linux-thread-multi /usr/lib64/perl5/5.12.2 /usr/lib64/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.12.0 /usr/lib64/perl5/vendor_perl .) at /usr/bin/sgmlspl line 68.
BEGIN failed--compilation aborted at /usr/bin/sgmlspl line 68.

Last edited by BrZ; 11-06-2010 at 04:01 PM.
 
Old 11-06-2010, 04:30 PM   #4
TSquaredF
Member
 
Registered: Dec 2005
Location: "The South Coast of Texas"
Distribution: Slackware64-current
Posts: 532

Original Poster
Rep: Reputation: Disabled
Yes. Downgrading grep to -2.5.4, from -13.1, stopped the error from popping up when running the "jw" command, plus my fontconfig.SlackBuild built perfectly. I'm going to reinstall grep-2.7 to see what else breaks with it.
Oh, "jw" is in linuxdoc-tools, if it still matters.
Regards,
Bill

Last edited by TSquaredF; 11-06-2010 at 06:11 PM.
 
Old 11-06-2010, 04:42 PM   #5
BrZ
Member
 
Registered: Apr 2009
Distribution: Slackware
Posts: 542

Rep: Reputation: 120Reputation: 120
Thanks Bill,

I was able to compile fontconfig with '--disable-docs \', but it's only a workaround.

edit: This seem to fix docbook-utils (jw) error: http://www.mail-archive.com/pld-cvs-...msg232996.html

edit2: Yes! Fixed my Perl issues and the fontconfig was built without issues. Thanks again TSquaredF =]

Last edited by BrZ; 11-06-2010 at 07:18 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
fontconfig - "make install" fails after ststroud Linux - General 1 01-28-2007 04:03 AM
error at make installing fontconfig 2.3.2 james_beall Linux - Newbie 1 08-12-2005 06:03 PM
Fontconfig Errors Kane635 Linux - Software 0 11-24-2004 01:21 PM
How do I make a change to a current kernel? Would 'make oldconfig' work... jtp51 Slackware 11 11-01-2004 11:02 PM
fontconfig-2.2.95 make error (html convert) jdurick Linux - Software 2 05-30-2004 09:05 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 06:35 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration